Subject: Re: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Jul 2014 23:09:02 -0400

>> Perhaps log-edit-changelog-entries should not bother visiting
>> non-existent files.
> That wouldn't be TRT when starting a new repository, or a new
> directory in an existing one.

Of course it's correct.  You misunderstand the purpose of
log-edit-changelog-entries: it's not there to fill the ChangeLog but to
extract pre-existing text from it to fill the *VC-Log* buffer.
So if the file doesn't exist, there's nothing to get from it and we
might as well not visit the file.

        Stefan